Create a custom risk score
https://app.fossa.com/api/custom-risk-scores/{issueId}Creates a custom risk score for a vulnerability issue within a specific scope (project or release group).
Path parameters
issueIdintegerrequiredID of the vulnerability issue
Query parameters
scope[type]enumrequiredScope type for the custom risk score
projectrelease_groupscope[id]stringrequiredProject locator or release group ID
Request body (required) · application/json
scoreintegerrequiredThe custom risk score (0-100 scale)
reasonstringThe reason for the custom risk score
Responses
201The created custom risk scoreissueIdintegerrequiredThe ID of the issue
scoreintegerrequiredThe custom risk score (0-100 scale)
scopeenumrequiredThe scope type of the custom risk score
projectrelease_groupreasonstringThe reason for the custom risk score
scopeIdstringrequiredThe project locator or release group ID
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
409Custom risk score already exists for this issue in the specified scopeuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/custom-risk-scores/1curl --request POST \ --url 'https://app.fossa.com/api/custom-risk-scores/1' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "score": 75}'Real request. Mutating methods can change data.
Path params
issueIdintegerrequiredID of the vulnerability issue
Query params
scope[type]enumrequiredScope type for the custom risk score
scope[id]stringrequiredProject locator or release group ID